package com.hxhq.business.form.sj;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 试剂-借阅
 * @author HanLong
 */
public class JySjForm {

    /** 试剂id */
    @NotNull(message = "请选择操作对象")
    private Long id;

    /** 备注 */
    private String remark;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    @NotEmpty(message = "请输入密码")
    private String qmrmm;

    /** 日期开始 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "请选择借阅日期")
    private Date startDate;

    /** 日期结束 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "请选择借阅日期")
    private Date endDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
